<?php

namespace App\Entity;

use App\Repository\PendingEmailAddressRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Validator\Constraints as Assert;

#[ORM\Entity(repositoryClass:PendingEmailAddressRepository::class)]
#[ORM\Table(name:'`pending_email_address`')]
#[UniqueEntity(fields: ['user', 'email'], message: 'pending_email_address.email.unique', errorPath: 'email')]
class PendingEmailAddress
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type:'integer')]
    private int $id;

    #[ORM\ManyToOne(targetEntity:User::class)]
    #[ORM\JoinColumn(name:'user', referencedColumnName:'id', nullable:false)]
    private User $user;

    #[Assert\Email(message: 'email.valid')]
    #[ORM\Column(type:'string', length:255)]
    private string $email;

    public function getUser(): User
    {
        return $this->user;
    }

    public function setUser(User $user): void
    {
        $this->user = $user;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function setEmail(string $email): void
    {
        $this->email = $email;
    }
}
