<?php

namespace App\Form;

use App\Entity\Group;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class FilterByGroupFormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $groups = $options['data']['groups'];

        $builder
            ->add('name', ChoiceType::class, [
                'choices' => $groups,
                'choice_translation_domain' => false,
                'label' => false,
                'choice_label' => function (?Group $entity) {
                    return $entity ? $entity->getName() : '';
                },
                'choice_value' => 'name',
                'choice_name' => 'name',
                'expanded' => false
            ]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([]);
    }
}
